Bug 134134 - Soft edge does not work together with shadow in slideshow
Summary: Soft edge does not work together with shadow in slideshow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-18 20:17 UTC by Regina Henschel
Modified: 2020-06-20 05:41 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Document with soft edge and shadow on image (51.11 KB, application/vnd.oasis.opendocument.presentation)
2020-06-18 20:17 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-06-18 20:17:13 UTC
Created attachment 162190 [details]
Document with soft edge and shadow on image

Open attached document. It contains an image with soft edge and shadow, and a screenshot, how it looks in edit mode. Start presentation.
Notice, where the shadow should be is a copy of the image.
Comment 1 Mike Kaganski 2020-06-19 09:21:14 UTC
Thanks Regina!

https://gerrit.libreoffice.org/c/core/+/96684
Comment 2 Commit Notification 2020-06-19 11:07:54 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0a618246fc83f6ba7bd48de6164de7efc123f06f

tdf#134134: consider color modifier stack when pixel-processing

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Mike Kaganski 2020-06-19 11:10:12 UTC
Fixed. Not soft shadow border is a separate problem, that needs own report.
Comment 4 Commit Notification 2020-06-20 05:41:46 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/66613a37ea258727838608d1b503f8d5ee9f6007

tdf#134134: consider color modifier stack when pixel-processing

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.